package fr.ippon.kata.numeral;

import java.util.NavigableMap;
import java.util.TreeMap;

public class Numerals {
  private static final NavigableMap<Integer, String> CONVERSIONS = buildConversions();

  public static String toRoman(int arabic) {
    if (arabic >= 5) {
      return "V" + toRoman(arabic - 5);
    }

    if (arabic == 4) {
      return "IV";
    }

    return "I".repeat(arabic);
  }

  private static NavigableMap<Integer, String> buildConversions() {
    NavigableMap<Integer, String> conversions = new TreeMap<>();

    conversions.put(1, "I");
    conversions.put(4, "IV");
    conversions.put(5, "V");

    return conversions;
  }
}
